///////////////////////
// person.h
////////////////////

#ifndef _PERSON_H_
#define _PERSON_H_

#include <iostream>
#include <string>

using namespace std;

/**\Es la classe Person
    */
class Person {
    public:
        /** Constructor vacío
        */
        Person();

        /** Constructor con parametros
        */
        Person(string name, int age);

        /** Constructor de copia
        */
        Person(const Person & P);

        /** Destructor
        */
        ~Person();

        /** Sobrecarga de operador =
        */
        Person & operator=(const Person & P);

        string getName();
        int getAge();
        void setName(string name);
        void setAge(int age);

    private:
        string _name;
        int _age;
};


#endif
